﻿/* #region body styles */

/* #region body styles */

body {
    padding-top: 50px;
    padding-bottom: 20px;
    font-family: sans-serif !important;
    opacity: 1;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

.content {
    padding: 0 18px;
    background-color: white;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}

.carousel-icon {
    color: firebrick !important;
    font-size: 2rem !important;
}

/* #endregion */

/* #region general custom styles */

.site-body-content {
    background: white;
    border-radius: 10px;
    /* Set padding to keep content from hitting the edges */
    padding-left: 0px;
    padding-right: 0px;
    opacity: 1;
}

a.site-link-s {
    color: #555 !important;
    margin-left: 20px !important;
    font-size: small !important;
    text-decoration: none !important;
    text-align: left !important;
}

    a.site-link-s:link,
    a.site-link-s:focus,
    a.site-link-s:visited {
        color: #555 !important;
        margin-left: 20px !important;
        font-size: small !important;
        text-decoration: none !important;
        text-align: left !important;
    }

    a.site-link-s:hover,
    a.site-link-s:active {
        color: #c00 !important;
        margin-left: 20px !important;
        font-size: small !important;
        text-decoration: none !important;
        text-align: left !important;
    }

a.site-link-m {
    color: #555 !important;
    margin-left: 20px !important;
    font-size: medium !important;
    text-decoration: none !important;
    text-align: left !important;
}

    a.site-link-m:link,
    a.site-link-m:focus,
    a.site-link-m:visited {
        color: #555 !important;
        margin-left: 20px !important;
        font-size: medium !important;
        text-decoration: none !important;
        text-align: left !important;
    }

    a.site-link-m:hover,
    a.site-link-m:active {
        color: #c00 !important;
        margin-left: 20px !important;
        font-size: medium !important;
        text-decoration: none !important;
        text-align: left !important;
    }

a.site-link-l {
    color: #555 !important;
    margin-left: 20px !important;
    font-size: large !important;
    text-decoration: none !important;
    text-align: left !important;
}

    a.site-link-l:link,
    a.site-link-l:focus,
    a.site-link-l:visited {
        color: #555 !important;
        margin-left: 20px !important;
        font-size: large !important;
        text-decoration: none !important;
        text-align: left !important;
    }

    a.site-link-l:hover,
    a.site-link-l:active {
        color: #c00 !important;
        margin-left: 20px !important;
        font-size: large !important;
        text-decoration: none !important;
        text-align: left !important;
    }

a.site-glyph {
    color: #336699 !important;
    margin-left: 20px !important;
    font-size: large !important;
    text-decoration: none !important;
    text-align: left !important;
}

    a.site-glyph:link,
    a.site-glyph:focus,
    a.site-glyph:visited {
        color: #336699 !important;
        margin-left: 20px !important;
        font-size: large !important;
        text-decoration: none !important;
        text-align: left !important;
    }

    a.site-glyph:hover,
    a.site-glyph:active {
        color: #c00 !important;
        margin-left: 20px !important;
        font-size: large !important;
        text-decoration: none !important;
        text-align: left !important;
    }

.site-glyph-red {
    color: firebrick !important;
}

/* #endregion */

/* #region general layout styles */

.site-name-line-1 {
    padding: 0px;
    line-height: 12px;
    color: gray;
    font-size: 12px;
    font-weight: bold;
    text-align: center;
    white-space: nowrap;
}

.site-legal-text {
    margin-left: 10px;
    margin-right: 10px;
    color: gray;
    font-size: 10px;
    font-weight: normal;
    text-decoration: none;
}

.site-legal-link {
    color: gray;
    font-size: 10px;
    font-weight: bold;
    text-decoration: none;
}

/* #endregion */

/* #region main navigation styles */

/* very important: this is being set so that the navbar dropdowns are not transparent */
.site-header {
    position: absolute;
    z-index: 999;
    opacity: 1;
    top: 0px;
}

.site-nav {
    position: fixed;
    top: 0px;
    width: 100%;
    /* min-height (vs height) will keep collapse dropdown from being 
       transparent,that is, it will allow it to grow
    */
    min-height: 50px;
    font-family: sans-serif !important;
    padding-top: 0px;
    padding-bottom: 0px;
    border: 0px;
    /* 
    margin: 0px;
    */
}

.site-nav-item {
    white-space: nowrap;
    margin-top: 7px;
    margin-left: 20px;
    font-family: sans-serif !important;
    font-size: 14px;
}

/* site-nav-link replaces bootstrap nav-link as padding is messing up the desired height */
.site-nav-link {
    display: block;
    color: aliceblue !important; /* changed for this site */
    text-decoration: none;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
    .site-nav-link {
        transition: none;
    }
}
.site-nav-link:hover, .site-nav-link:focus {
    color: #FFFFFF !important; /* changed for this site */
}
.site-nav-link.disabled {
    color: dimgray !important; /* changed for this site */
    pointer-events: none;
    cursor: default;
}
/* end site-nav-link override of nav-link */

/* #endregion */

/* #region dropdown menu styles */

.site-dropdown-menu {
    background-color: #ffffff;
    opacity: 1 !important;
    z-index: 999 !important;
}

.site-dropdown-heading {
    padding-left: 10px;
    padding-right: 10px;
    padding-top: -5px !important;
    line-height: 25px;
    color: gray;
    font-size: 15px;
    font-weight: bold;
    text-decoration: underline;
    white-space: nowrap;
}

.site-dropdown-message {
    padding-left: 10px;
    padding-right: 10px;
    padding-top: -5px !important;
    line-height: 25px;
    color: lightgray;
    font-size: 13px;
    font-weight: bold;
    font-style: italic;
    white-space: nowrap;
}

.site-dropdown-divider {
    margin-top: 5px !important;
    margin-bottom: 5px !important;
    line-height: 5px;
    height: 0px; 
    border: none; 
    border-top: 2px solid gray;
}

.site-dropdown-item {
    color: #337ab7;      /* #2d6b9f darker*/
    line-height: 20px;
    font-size: 14px;
    font-weight: 500;
    white-space: nowrap;
}

/* #endregion */

/* #region lookup navigation styles */

.site-nav-lookup {
    font-family: sans-serif !important;
    position: fixed;
    top: 48px;
    width: 100%;
    /* min-height (vs height) will keep collapse dropdown from being 
       transparent,that is, it will allow it to grow */
    min-height: 0px;
    background-color: darkgray;
    border: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
    border-radius: 0;
    margin-top: 0px;
    margin-bottom: 0px;
    margin-left: 0px;
    margin-right: 0px;
    vertical-align: middle;
    white-space: nowrap;
    z-index: 990;
    opacity: 1;
    /* delete after 2025-07-31 
    border-bottom-color: gray;
    margin-bottom: 20px;
    min-height: 40px;
    */
    /* delete after 2025-07-31 - these made no difference to the lookup bar behavior
    scroll-behavior: smooth;
    scroll-padding-top: 100px;
    scroll-margin-top: 100px;
    */
}

.site-nav-lookup-pac {
    white-space: nowrap;
    margin-top: 2px;
    margin-right: 50px;
    margin-bottom: 2px;
    padding-top: 0px;
    padding-bottom: 0px;
}

.site-nav-lookup-item {
    white-space: nowrap;
    margin-top: 0px;
    margin-bottom: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
}

.site-nav-lookup-button {
    width: 70px;
    height: 25px;
    font-size: 14px;
    margin-left: 0px;
    margin-top: 7px;
    margin-bottom: -10px;
    padding-top: 0px;
    padding-bottom: 0px;
    vertical-align: middle;
    padding-top: 2px;
    padding-left: 5px;
    padding-right: 5px;
    border: 1px solid #007788;
    border-radius: 5px;
    background-color: white;
}

.site-nav-lookup-message {
    white-space: nowrap;
    font-style: italic;
    font-size: 14px;
    color: white;
    margin-top: 8px;
    margin-bottom: 0px;
}

a.site-nav-lookup-message:link,
a.site-nav-lookup-message:focus,
a.site-nav-lookup-message:visited,
a.site-nav-lookup-message:hover,
a.site-nav-lookup-message:active {
    white-space: nowrap;
    font-style: italic;
    font-size: 14px;
    color: white;
    margin-top: 8px;
    margin-bottom: 0px;
    text-decoration: none;
}

a.site-nav-lookup-icon:link,
a.site-nav-lookup-icon:focus,
a.site-nav-lookup-icon:visited,
a.site-nav-lookup-icon:hover,
a.site-nav-lookup-icon:active {
    white-space: nowrap;
    font-size: 18px;
    /* alternate blue/cyan website's color
    color: #007788; */
    color: #f00000;
    margin-top: 10px;
    margin-bottom: 0px;
    text-decoration: none;
}

/* #endregion */

/* #region styles for field tooltips */

/*
    Tooltips can be added to controls with attribute in HTML.ActionLink or elsewhere as follows:
        title = "Tooltip text"
    
    For fancier tooltips, can use:

    Reference: https://www.w3schools.com/css/css_tooltip.asp#:~:text=Basic%20Tooltip&text=HTML%3A%20Use%20a%20container%20element,with%20class%3D%22tooltiptext%22%20.
    Example:
        <div class="tooltip">Hover over me
          <span class="tooltiptext">Tooltip text</span>
        </div>
*/

/* Tooltip container */
.tooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black; /* If you want dots under the hoverable text */
}

    /* Tooltip text */
    .tooltip .tooltiptext {
        visibility: hidden;
        width: 120px;
        background-color: black;
        color: #fff;
        text-align: center;
        padding: 5px 0;
        border-radius: 6px;
        /* Position the tooltip text - see examples below! */
        position: absolute;
        z-index: 1;
    }

    /* Show the tooltip text when you mouse over the tooltip container */
    .tooltip:hover .tooltiptext {
        visibility: visible;
    }

/* #endregion */

/* collaps-expand button styles*/

.collapsible {
    background-color: #777;
    color: white;
    cursor: pointer;
    padding: 18px;
    width: 80px;
    border: none;
    text-align: right;
    outline: none;
    font-size: 15px;
}

    .active, .collapsible:hover {
        background-color: #555;
    }
